> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 계정 생성

> 신규 사용자 계정을 만드는 엔드포인트입니다.

## POST /accounts

신규 사용자 계정을 생성합니다. 공개 엔드포인트이며 인증이 필요하지 않습니다.

<Note>
  일반적인 경우 사용자는 웹 앱 [app.llmgenerator.com](https://app.llmgenerator.com)에서 가입하는 것을 권장합니다. 이 엔드포인트는 프로그램적인 계정 생성용입니다.
</Note>

### 요청 본문

<ParamField body="email" type="string" required>
  사용자 이메일 주소입니다. 고유해야 합니다.
</ParamField>

<ParamField body="firstName" type="string" required>
  사용자 이름(1\~50자)입니다.
</ParamField>

<ParamField body="lastName" type="string">
  사용자 성입니다(최대 50자).
</ParamField>

<ParamField body="company" type="string">
  회사명입니다(최대 100자).
</ParamField>

### 응답

<ResponseField name="success" type="boolean">
  계정 생성 성공 여부입니다.
</ResponseField>

<ResponseField name="message" type="string">
  상태 메시지입니다.
</ResponseField>

<ResponseField name="account" type="object">
  생성된 계정 정보입니다.

  <Expandable title="account 속성">
    <ResponseField name="id" type="string">
      계정 고유 식별자입니다.
    </ResponseField>

    <ResponseField name="email" type="string">
      사용자 이메일 주소입니다.
    </ResponseField>

    <ResponseField name="firstName" type="string">
      사용자 이름입니다.
    </ResponseField>

    <ResponseField name="lastName" type="string">
      사용자 성입니다.
    </ResponseField>

    <ResponseField name="plan" type="string">
      계정 플랜입니다(초기값 `free`).
    </ResponseField>

    <ResponseField name="createdAt" type="string">
      계정 생성 시각(ISO 8601)입니다.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="apiKey" type="string">
  계정에 부여된 최초 API 키입니다. 안전하게 보관하세요.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.llmgenerator.com/api/v1/accounts \
    -H "Content-Type: application/json" \
    -d '{
      "email": "user@example.com",
      "firstName": "Jane",
      "lastName": "Doe",
      "company": "Acme Inc"
    }'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch(
    'https://api.llmgenerator.com/api/v1/accounts',
    {
      method: 'POST',
      headers: { 'Content-Type': 'application/json' },
      body: JSON.stringify({
        email: 'user@example.com',
        firstName: 'Jane',
        lastName: 'Doe',
        company: 'Acme Inc'
      })
    }
  );
  ```
</RequestExample>

<ResponseExample>
  ```json Success (201) theme={null}
  {
    "success": true,
    "message": "Account created successfully",
    "account": {
      "id": "user_abc123def456",
      "email": "user@example.com",
      "firstName": "Jane",
      "lastName": "Doe",
      "company": "Acme Inc",
      "plan": "free",
      "createdAt": "2026-01-27T10:00:00.000Z"
    },
    "apiKey": "llm_1706345678_initialkeyabc123"
  }
  ```

  ```json Validation Error (400) theme={null}
  {
    "message": "Validation error: Invalid email format"
  }
  ```

  ```json Email Already Exists (409) theme={null}
  {
    "message": "An account with this email already exists"
  }
  ```
</ResponseExample>
